Bug 976814 - Cassandra username/password cannot be customized
Cassandra username/password cannot be customized
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Installer (Show other bugs)
4.8
Unspecified Unspecified
urgent Severity unspecified (vote)
: GA
: RHQ 4.9
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: 951619
  Show dependency treegraph
 
Reported: 2013-06-21 10:15 EDT by John Sanda
Modified: 2013-10-03 10:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-24 15:09:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sanda 2013-06-21 10:15:56 EDT
Description of problem:
When the RHQ server installer runs, it creates and/or applies schema updates to the relational database as well as to Cassandra. For Cassandra, one of the first steps involves creating a user (in Cassandra) that the RHQ server will use to authenticate against Cassandra. The username/password for that user are specified by the rhq.cassandra.username and rhq.cassandra.password properties in rhq-server.properties.

The Cassandra schema installation code is using a hard coded value of rhqadmin for both the username and password; consequently, the rhq.cassandra.username and rhq.cassandra.password properties cannot be changed. If the user changes either of those from the default values, then the server will not be able to authenticate against Cassandra and server initialization will subsequently fail.

Following some manual steps the password can be changed after installation. I am going to try to provide a script as well to automate the process until this issue is resolved. Note that these steps are for changing the password only.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 John Sanda 2013-07-09 09:56:38 EDT
We probably want to support password obfuscation like we do for the oracle/postgres password.
Comment 2 John Sanda 2013-08-08 15:30:27 EDT
Stefan,

I know that you have already done work on this. Can you make sure we support password obfuscation as we do with the relational database password? And can you also write up some docs for what users will need to do to set and update the password.

Thanks
Comment 3 Stefan Negrea 2013-08-30 17:22:27 EDT
The work has been completed for this BZ. The password and username for the storage nodes can be changed before the initial setup. Also, the password is required to be obfuscated in the rhq-server.properties file. 

The properties names for the storage cluster have also been changed to rhq.storage.*
Comment 4 Stefan Negrea 2013-08-30 17:23:59 EDT
An important note, the password and username for the storage cluster can be changed before the installer runs. There is still no automated way of changing this after the installer runs, this has to be done manually.
Comment 5 Filip Brychta 2013-09-02 07:47:08 EDT
Verified on 
Version: 4.9.0-SNAPSHOT
Build Number: a9245fd

Verified that storage user/password were changed according to rhq-server.properties on the local storage node as well as on the remote storage node which was deployed after the server installation.
Comment 6 Heiko W. Rupp 2013-09-24 15:09:00 EDT
Bulk closing of RHQ 4.9 verified items

Note You need to log in before you can comment on or make changes to this bug.